Subject: Re: [pim] why PIM DR auto-switchover is more desired than VRRP master switchover in the case of uplink failure?

From: xuxiaohu 41208 <[email-masked]>
Date: Thu, 25 Mar 2010 13:57:24 -0700

Yiqun,

Sorry, I really don't understand your point.

As I said before, there is ABSOLUTELY no any relationship between the IGMP querier election and the PIM DR election. IGMP querier is only responsible for polling whether there is any member in a LAN for a given multicast group. It is the PIM DR that is responsible for initiating/cancelling the multicast tree building by using join/prune messages. Hence, even a PIM router loses its connectivity to the WAN network (i.e., to multicast souces o
r RPs), it can still work as an IGMP querier for that LAN successfully. Did I miss something?

BR
Xiaohu

--------------------------------------------------------------------------------

Xiaohu,

My main issue is that I don't see a strong reason why one would want to run
PIM on these "routers", namely R1 and R2, in the first place.  IGMP proxy as
documented in RFC4605 is a better alternative.  And I will be much more
supportive if the draft suggests similar enhancement for IGMP proxy.

On 3/23/10 11:37 PM, "xuxiaohu 41208" <xuxh at huawei.com> wrote:

> Hi all,
> 
> After my presentation of draft-xu-pim-drpriority-auto-adjustment on the PIM
> session, somebody (sorry I forgot your name!)argued that PIM DR
> auto-switchover doesn't need to be specified in a WG informational doc since
> the similar approach of VRRP (i.e., the VRRP master auto-switchover) is not
> described in the VRRP specification.
> 
> That seems reasonable. However, I realized later that PIM DR auto-switchover
> is more desired than VRRP master switchover in the event of uplink failure.
> The reason is: for VRRP, the VRRP master can still hold its master role even
> throught it loses the connectivity to the outside network. As such, upon
> receiving a packet from a given host on the LAN, the VRRP master could respond
> with an ICMP redirection message to the host due to a configur
> ed floating route on it, the host in turn will change the nexthop for that
> destination address to the VRRP Backup router's real address. In other words,
> the upstream link tracking mechanism is not a much desired feature for VRRP.
> As for PIM, the PIM DR could also use that floating route for multicast tree
> rebuilding when its uplink becomes down. However, once the uplink of the PIM
> DR is recovered from down to up, the multicast forwarding wil
> l be interrupted absolutely till the multicast tree rebuilding is completed
> sucessfully. In contrast, the multicast forwarding interruption due to the
> multicast tree rebuilding caused by the uplink recovery event will not happen
> in our first solution. IMO, non-interruption forwarding during the RPF route
> optimization from the second-best to the best (e.g., caused by the uplink
> recovery event) is a much desired feature for improving the users
> ' QoE of IPTV service.
> 
> Comments?
> 
> Best regards,
> 
> Xiaohu
> _______________________________________________
> pim mailing list
> pim at ietf.org
> https://www.ietf.org/mailman/listinfo/pim

-- 
Yiqun